Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 521895 - Review Request: json_simple - Simple Java toolkit for JSON
Summary: Review Request: json_simple - Simple Java toolkit for JSON
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 16:04 UTC by Steve Traylen
Modified: 2009-11-07 00:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-18 02:17:13 UTC
Type: ---
orion: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-09-08 16:04:25 UTC
Spec URL: http://cern.ch/steve.traylen/rpms/json_simple/json_simple.spec
SRPM URL: http://cern.ch/steve.traylen/rpms/json_simple/json_simple-1.1-1.fc11.src.rpm
Description: 

JSON.simple is a simple Java toolkit for JSON. You can use JSON.simple
to encode or decode JSON text.
  * Full compliance with JSON specification (RFC4627) and reliable
  * Provides multiple functionalities such as encode, decode/parse
    and escape JSON text while keeping the library lightweight
  * Flexible, simple and easy to use by reusing Map and List interfaces
  * Supports streaming output of JSON text
  * Stoppable SAX-like interface for streaming input of JSON text
  * Heap based parser
  * High performance (see performance testing)
  * No dependency on external libraries
  * Both of the source code and the binary are JDK1.2 compatible


$ rpmlint SPECS/json_simple.spec \
          RPMS/x86_64/json_simple-1.1-1.fc11.x86_64.rpm \
          RPMS/x86_64/json_simple-debuginfo-1.1-1.fc11.x86_64.rpm \
          SRPMS/json_simple-1.1-1.fc11.src.rpm 

SPECS/json_simple.spec:87: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
json_simple.src:87: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}

both of these are caused just by the %if case of with or without gcj
and can be ignored.

f11, f12 and EL5 builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1662712
http://koji.fedoraproject.org/koji/taskinfo?taskID=1662717
http://koji.fedoraproject.org/koji/taskinfo?taskID=1662730

Steve

Comment 1 Orion Poplawski 2009-10-15 15:18:53 UTC
    *  rpmlint - clean (expected warning only)
    * naming - OK
    * NamingGuidelines - OK 
    * licensing - ASL 2.0 - OK - You might mention to upstream that the copyright and license should be added to each source file.

specfile

    * American English - OK
    * legible - OK
    * BuildRequires - OK
    * Locales - None
    * shared libraries: ldconfig - None
    *  %clean section with rm -rf ${RPM_BUILD_ROOT} - Check
    * sources - md5 sum checks out
    * relocatable? No
    * files and directories - Okay
    * owns all created directories - Yes
    * all files listed in %files - Yes (I prefer explicit listing - catches changes and problems better, but this is personal preference.)
    * permissions?  Yes
    * deffattr? Yes 
    * no .la files  Check
    * .desktop for GUI applications - NA
    * no conflicts with other packets - Check
    * -devel - NA
    * headers - NA
    * large doc in -doc package - not needed
    * must not affect runtime - Check

Minor issues:

    * macros - You are mixing $RPM_BUILD_ROOT and %{buildroot}
    * doc - I would add AUTHORS.txt and README.txt

Approved.

Comment 2 Steve Traylen 2009-10-15 21:22:01 UTC
http://straylen.web.cern.ch/straylen/rpms/json_simple/json_simple-1.1-2.fc11.src.rpm

http://straylen.web.cern.ch/straylen/rpms/json_simple/json_simple.spec

+ addition of AUTHORS.txt and README.txt
+ now uses $RPM_BUILD_ROOT throughout.

Steve

Comment 3 Steve Traylen 2009-10-15 21:23:16 UTC
New Package CVS Request
=======================
Package Name: json_simple
Short Description: Simple Java toolkit for JSON
Owners: stevetraylen
Branches: F-11 F-12 EL-5
InitialCC:

Comment 4 Kevin Fenzi 2009-10-17 20:42:21 UTC
cvs done.

Comment 5 Fedora Update System 2009-10-18 02:14:30 UTC
json_simple-1.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/json_simple-1.1-2.el5

Comment 6 Fedora Update System 2009-10-18 02:15:02 UTC
json_simple-1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/json_simple-1.1-2.fc11

Comment 7 Fedora Update System 2009-10-18 02:15:42 UTC
json_simple-1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/json_simple-1.1-2.fc12

Comment 8 Fedora Update System 2009-11-06 05:56:21 UTC
json_simple-1.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-07 00:24:37 UTC
json_simple-1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.